Subject: Linux Astro Update #2
From: [email-masked]
Date: 25 Mar 1993 03:26:47 GMT
Newsgroups: comp.os.linux.announce

This is the update #2 for Linux astronomy reduction packages.

We now have 18 people on the mailing list.  Here is an index:

  name (email address) subset of what interested in:

  Boyack, Ty! ([email-masked]) interested      
  Brotzman, Lee ([email-masked]) WAIS FITS-browser IRAF    
  Colbert, Edward ([email-masked]) interested      
  Connors, Martin ([email-masked]) CDROM-usage FITS-usage     
  Cox, Mark ([email-masked]) interested      
  Desbonnet, Joe ([email-masked]) MIDAS      
  Downey, Elwood ([email-masked]) IRAF-CL      
  Einstein, Dave ([email-masked]) SAOImage IRAF KHOROS    
  Elkins, Michael ([email-masked]) interested      
  Engstrom, Stefan ([email-masked]) interested      
  Hamer, Ken ([email-masked]) interested      
  Keegstra, Phil ([email-masked]) IDL GSFC/MD-list     
  Marson, Ralph ([email-masked]) PGPLOT SDE     
  Michelson, Dave ([email-masked]) interested      
  Owen, Mike ([email-masked]) interested      
  Plaizier, Luke ([email-masked]) interested      
  Skahan, Vince ([email-masked]) interested      
  Watkins, Ron ([email-masked]) IRAF amatuer-tel     

  I will keep a copy of this list in astro.umd.edu:pub/linuxastro/maillist
  The first update is also there under the name update.1 if you missed that
  one.  It has rough instructions on how to compile SAOImage under Linux.
  The hack could probably be cleaned up a bit, and a short readme doc file
  might be nice, too, if anyone is interested.  Quite a few who responded
  seemed interested in porting SAOImage, so there it is.

IRAF

  Lots were interested in porting it, some seemed to think that it is a huge
  job (maybe too much so), but many were willing to try it.  The f2c converter
  seems stable enough to use, but the constant churning of Linux libraries
  seems to necessitate keeping the source on-line (MB!) and recompiling 
  frequently.  Any interested in pursuing this further might want to contact
  some of the other IRAF-buffs in the list above.

AIPS

  There was a note on sci.astro from Brian Glendenning from NRAO:

  >There is also the "f2c" converter which converts FORTRAN to C (ftp
  >from research.att.com). A couple of years ago I compiled AIPS (another
  >large astronomical package wriiten in FORTRAN) with it. It only took
  >me about an afternoon to do this. I consider "f2c" to be pretty high
  >quality since compiling AIPS is a fairly stringent test.
  >
  >(AIPS ran about 35% slower than with a native compiler on a SPARC,
  >incidentally).
  >
  >Brian
  >--
  >       Brian Glendenning - National Radio Astronomy Observatory
  >[email-masked]          Charlottesville Va.           (804) 296-0286
  
  I am always amazed by the NRAO/AIPS team!  If you're interested in pursuing
  this, then you might want to contact Brian.

PGPLOT libaries

  Ralph Marson is working on a PGPLOT port, and is willing to donate it when
  he is finished.  

KHOROS

  Dave Einstein got a good start on it -- contact him for further details

MIDAS

  Joe Desbonnet may start a port of it after he gets some linux-stations set
  up.  Contact him if you are interested.

IDL

  Phil Keegstra was going to ask RSI if they had plans to port it.
  
OTHER

  I apologize for not listing the other packages some of you were interested
  in porting, but I'll try to keep astro.umd.edu:pub/linuxastro/maillist
  updated, and if you see someone else who is interested in the same port,
  you might want to communicate in order to keep good effort from being 
  duplicated.

I'll send another update out if I get anything interesting.  I'll update,
change, delete-your-name-from, add-you-name-to, ... the maillist file if
you send me email.  Please include the word LINUXASTRO in the subject line
so that I can automate it if the traffic gets heavy.

Happy Astro-Linuxing!

Ed Colbert

Address: Dept. of Astronomy, Univ of Maryland         Tel: (301) 405-1554
         College Park, MD 20742-2421 USA              FAX: (301) 314-9067

-- 
Send submissions for comp.os.linux.announce to: [email-masked]